Package org.jfree.layouting.input.style.parser

## Class CSSParserFactory

- java.lang.Object
- - org.jfree.layouting.input.style.parser.CSSParserFactory

-     public class CSSParserFactory
      extends java.lang.Object

  Creates a new CSS parser by first looking for a specified parser in the libLayout configuration and if that fails, by using the W3C parser factory.
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.w3c.css.sac.Parser` | `createCSSParser​()` |
    `static CSSParserFactory` | `getInstance​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static CSSParserFactory getInstance​()

    - #### createCSSParser

          public org.w3c.css.sac.Parser createCSSParser​()
                                                 throws CSSParserInstantiationException

      Throws:
        `CSSParserInstantiationException`